#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>

void greska(char *s)
{
	printf("Greska: %s\n", s);
	exit(EXIT_FAILURE);
}

int main(int argc, char **argv)
{
	int i, j;
	int l = 0, u = 0;
	char *ulaz, *izlaz;
	if(argc < 3)
		greska("morate uneti datoteke");
		
	ulaz = argv[1];
	izlaz = argv[2];
	
	//sada ucitavamo opcije
	for(i = 3; i < argc; i++)
	{
		char *opcija = argv[i];
		//program ulaz izlaz -lluuabc -abc
		
		//ucitamo datu opciju na primer -lluuabc
		//prvo proverimo da pocinje sa -
		//posle idemo od prvog (ne nultog!) 
		//karaktera pa do kraja opcije
		//i gledamo da li je ukljuceno l ili u
		
		if(opcija[0] != '-')
			greska("opcija mora da pocinje sa -");
		
		for(j = 1; j < strlen(opcija); j++)
		{
			if(opcija[j] == 'l' || opcija[j] == 'L')
				l = 1;
			else if(opcija[j] == 'u' || opcija[j] == 'U')
				u = 1;
			else
				greska("unet nedozovoljen karakter u opciju");
		}
	}
	
	//do sada smo ucitali imena ulazne i izlazne
	//datoteke i opcije da l i u
	//sada to treba da primenimo
	
	FILE *fulaz = fopen(ulaz, "r");
	//PROVERA!
	if(fulaz == NULL)
		greska("otvaranje ulazne datoteke");
	FILE *fizlaz = fopen(izlaz, "w");
	if(fizlaz == NULL)
		greska("otvaranje izlazne datoteke");
	
	//citamo sve karaktere iz ulazne datoteke i prepisujemo ih u izlaznu
	
	char c;
	while((c = fgetc(fulaz)) != EOF)
	{
		//karakter nc upisujemo na izlaz
		//za pocetak ga prepisujemo samo
		//a posle proveravamo opcije
		char nc = c;
		//ako je c malo i mala prelaze u velika
		if(islower(c) && u)
			nc = toupper(c);
		//ako je c veliko i velika prelaze u mala
		if(isupper(c) && l)
			nc = tolower(c);
		
		fputc(nc, fizlaz);
	}
	
	fclose(fulaz);
	fclose(fizlaz);
	
	return 0;
}