#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct _student
{
	char *ime;
	char *prezime;
	int ocene[10];
	double prosek;
}student;

void greska(char *s)
{
	printf("Greska: %s\n", s);
	exit(EXIT_FAILURE);
}

int main()
{
	//treba da otvorimo datoteku ocene.txt
	//i iz te datoteke da procitamo informacije o studentima
	int n, i, j;
	student *studenti;
	
	
	/***********************************************/
	FILE *f = fopen("ocene.txt", "r");
	if(f == NULL)
		greska("otvaranje datoteke");
		
	fscanf(f, "%d", &n);
	//alociramo memoriju za n studenata
	studenti = (student*)malloc(n * sizeof(student));
	//PROVERA!!
	if(studenti == NULL)
		greska("alokacija");
		
	//nakon toga treba da ucitamo n studenata
	for(i = 0; i < n; i++)
	{
		student s;
		char temp[100];
		
		//prvo citamo ime
		fscanf(f, "%s", temp);
		//temp treba da upisemo kao ime i-tog studenta
		s.ime = 
			(char*)malloc((1 + strlen(temp)) * sizeof(char));
		if(s.ime == NULL)
			greska("alokacija");
		strcpy(s.ime, temp);
		
		fscanf(f, "%s", temp);
		s.prezime = 
			(char*)malloc((1 + strlen(temp)) * sizeof(char));
		if(s.prezime == NULL)
			greska("alokacija");
		strcpy(s.prezime, temp);
		
		s.prosek = 0;
		for(j = 0; j < 10; j++)
		{
			fscanf(f, "%d", &s.ocene[j]);
			s.prosek += s.ocene[j];
		}
		s.prosek /= 10;
		
		studenti[i] = s;
	}
	fclose(f);
	
	/***********************************************/
	
	//LOGIKA PROGRAMA ODNOSNO PRONACI STUDENTA
	//SA NAJVECIM PROSEKOM
	
	int i_max_prosek = 0;
	double max_prosek = studenti[0].prosek;
	
	for(i = 1; i < n; i++)
	{
		if(studenti[i].prosek > max_prosek)
		{
			max_prosek = studenti[i].prosek;
			i_max_prosek = i;
		}
	}
	
	printf("sudent sa najvecim prosekom je: \n");
	printf("%s %s\n", studenti[i_max_prosek].ime, studenti[i_max_prosek].prezime);
	printf("prosek: %lf\n", studenti[i_max_prosek].prosek);
	
	/***********************************************/
	for(i = 0; i < n; i++)
	{
		free(studenti[i].ime);
		free(studenti[i].prezime);
	}
	free(studenti);
	
	return 0;
}