#include <stdio.h>
#include <stdlib.h>

void greska(char *s)
{
	printf("Greska: %s\n");
	exit(EXIT_FAILURE);
}

int podmatrica(int **a, int n, int **b, int m)
{
	int i, j, k, l;
	for(i = 0; i < n - m + 1; i++)
		for(j = 0; j < n - m + 1; j++)
		{
			//od mesta (i, j) proveravamo da li je 
			//podmatrica
			int podm = 1;
			for(k = 0; k < m; k++)
				for(l = 0; l < m; l++)
					if(a[i + k][ j + l] !=
						b[k][l])
						podm = 0;
			if(podm)
				return 1;
		}
	return 0;
}

int main()
{
	int n, m;
	int **a, **b;
	int i, j;
	
	printf("Unesite dimenziju prve matrice: ");
	scanf("%d", &n);
	
	//alokacija memorije
	a = (int**)malloc(n * sizeof(int*));
	if(a == NULL)
		greska("alokacija");
	for(i = 0; i < n; i++)
	{
		a[i] = (int*)malloc(n * sizeof(int));
		if(a[i] == NULL)
			greska("alokacija");
	}
	
	printf("Unesite dimenziju druge matrice: ");
	scanf("%d", &m);
	
	//alokacija memorije
	b = (int**)malloc(m * sizeof(int*));
	if(b == NULL)
		greska("alokacija");
	for(i = 0; i < m; i++)
	{
		b[i] = (int*)malloc(m * sizeof(int));
		if(b[i] == NULL)
			greska("alokacija");
	}
		
	
	for(i = 0; i < n; i++)
		for(j = 0; j < n; j++)
			scanf("%d", &a[i][j]);
			
	for(i = 0; i < m; i++)
		for(j = 0; j < m; j++)
			scanf("%d", &b[i][j]);
	
	if(podmatrica(a, n, b, m))
		printf("jeste podmatrica\n");
	else
		printf("nije podmatirca\n");
	
	for(i = 0; i < n; i++)
		free(a[i]);
	free(a);
	
	for(i = 0; i < m; i++)
		free(b[i]);
	free(b);
	
	//Uneli smo dimenzije matrica
	//zatim smo alocirali memoriju, iz 2 dela:
	//prvo niz adresa, a posle na svakoj adresi niz
	
	//ucitali smo matrice
	//pozvali proveru za podmatrice
	//oslobodili memoriju(iz 2 dela)
}