#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

void greska(char *s)
{
	printf("Greska: %s\n", s);
	exit(EXIT_FAILURE);
}

int main(int argc, char **argv)
{
	char c;
	int i, j;
	if(argc < 3)
		greska("morate uneti ulaznu i izlaznu dat.");
	
	char *ulaz = argv[1];
	char *izlaz = argv[2];
	int u = 0;
	int l = 0;
	//sada citamo opcije
	for(i = 3; i < argc; i++)
	{
		//citamo opciju po opciju
		//argv[i] = "-uullabc"
		if(argv[i][0] != '-')
			greska("Pogresno uneta opcija");
		
		for(j = 1; j < strlen(argv[i]); j++)
		{
			if(argv[i][j] == 'u'
				|| argv[i][j] == 'U')
			{
				u = 1;
			}
			else if(argv[i][j] == 'l'
				|| argv[i][j] == 'L')
			{
				l = 1;
			}
			else
			{
				greska("uneta losa opcija");
			}
		}
	}
	
	FILE *fu = fopen(ulaz, "r");
	if(fu == NULL)
		greska("otavaranje ulazne datoteke");
	FILE *fi = fopen(izlaz, "w");
	if(fi == NULL)
		greska("otvaranje izlazne datoteke");
	
	while((c = fgetc(fu)) != EOF)
	{
		char nc = c;
		if(islower(c) && u)
		{
			nc = toupper(c);
		}
		if(isupper(c) && l)
		{
			nc = tolower(c);
		}
		fputc(nc, fi);
	}
	
	fclose(fu);
	fclose(fi);
	
	return 0;
}