#include <stdio.h>
#include <stdlib.h>

void greska(char *s)
{	
	printf("Greska: %s\n", s);
	exit(EXIT_FAILURE);
}

int podmatrica(int **a, int n, int **b, int m)
{
	//prvo trazimo "i" i "j" kao pocetak
	//odakle proveravamo da li se podmatica
	//poklapa
	
	int i, j;
	for(i = 0; i < n - m + 1; i++)
		for(j = 0; j < n - m + 1; j++)
		{
			//odavde gledamo da li su matrice 
			//iste
			//trebaju nam 2 for ciklusa
			//koristicemo "k" i "l"
			int jednake = 1;
			int k, l;
			for(k = 0; k < m; k++)
				for(l = 0; l < m; l++)
				{
					if(b[k][l] != 
						a[i + k][j + l])
					{
						jednake = 0;
					}
				}
			if (jednake)
				return 1;
		}
	return 0;
}

int main()
{
	int n, m, **a, **b;
	int i, j;
	printf("Unesite dimenzije matrica a i b: ");
	scanf("%d%d", &n, &m);
	
	a = (int**)malloc(n * sizeof(int*));
	if(a == NULL)
		greska("alokacija");
	for(i = 0; i < n; i++)
	{
		a[i] = (int*)malloc(n * sizeof(int));
		if(a[i] == NULL)
			greska("alokacija");
	}	
	
	b = (int**)malloc(m * sizeof(int*));
	if(b == NULL)
		greska("alokacija");
	for(i = 0; i < m; i++)
	{
		b[i] = (int*)malloc(m * sizeof(int));
		if(b[i] == NULL)
			greska("alokacija");
	}
	
	for(i = 0; i < n; i++)
		for(j = 0; j < n; j++)
			scanf("%d", &a[i][j]);
	
	for(i = 0; i < m; i++)
		for(j = 0; j < m; j++)
			scanf("%d", &b[i][j]);
			
	if(podmatrica(a, n, b, m))
		printf("jeste podmatrica\n");
	else
		printf("nije podmatrica\n");
	
	
	for(i = 0; i < n; i++)
		free(a[i]);
	free(a);
	
	for(i = 0; i < m; i++)
		free(b[i]);
	free(b);
}